import type { SequenceObject } from '../files';
export declare class Sequence {
    private log;
    private current;
    private images;
    private running;
    private progress;
    private frames;
    constructor();
    start(): void;
    stop(): void;
    isRunning(): boolean;
    load(seq: SequenceObject): void;
    private enumerate;
    unload(): void;
    getState(): SequenceState;
}
